package cn.com.poc.knowledge.query;   

import java.io.Serializable;

/**
 * Query Condition class for KnowledgeInfosQuery
 */
public class KnowledgeInfosQueryCondition implements Serializable{
    
    private static final long serialVersionUID = 1L;
    

    private java.lang.String memberId;
    
    public java.lang.String getMemberId(){
        return this.memberId;
    }
    
    public void setMemberId(java.lang.String memberId){
        this.memberId = memberId;
    }
        

    private java.lang.String query;

    public String getQuery() {
        return query;
    }

    public void setQuery(String query) {
        this.query = query;
    }

    private java.lang.String trainStatus;
    
    public java.lang.String getTrainStatus(){
        return this.trainStatus;
    }
    
    public void setTrainStatus(java.lang.String trainStatus){
        this.trainStatus = trainStatus;
    }

    private java.lang.String knowledgeType;

    public String getKnowledgeType() {
        return knowledgeType;
    }

    public void setKnowledgeType(String knowledgeType) {
        this.knowledgeType = knowledgeType;
    }
}